<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
<head>
  <title>create_tables (FontDB)</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <link rel="stylesheet" href="../.././rdoc-style.css" type="text/css" media="screen" />
</head>
<body class="standalone-code">
  <pre><span class="ruby-comment cmt"># File font_db.rb, line 78</span>
  <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">create_tables</span>()
    <span class="ruby-keyword kw">if</span> <span class="ruby-operator">!</span><span class="ruby-constant">FontDB</span>.<span class="ruby-identifier">instance</span>.<span class="ruby-identifier">tables_exist?</span> <span class="ruby-keyword kw">then</span>
      <span class="ruby-ivar">@db</span>.<span class="ruby-identifier">execute_batch</span>(<span class="ruby-value str">%{
        CREATE TABLE fonts 
          (
            id              INTEGER PRIMARY KEY,
            path            VARCHAR(255) UNIQUE ON CONFLICT IGNORE,
            rating          INTEGER,
            copyright       VARCHAR(2048),
            family          VARCHAR(255),
            subfamily       VARCHAR(255),
            name            VARCHAR(255),
            foundry         VARCHAR(255),
            description     VARCHAR(2048),
            license         VARCHAR(255),
            defaulttext     VARCHAR(255)
          );

        CREATE TABLE tags
          (
            id            INTEGER PRIMARY KEY,
            name      VARCHAR(255) UNIQUE ON CONFLICT IGNORE
          );

        CREATE TABLE tags_fonts
          (
            tag_id        INTEGER,
            font_id       INTEGER,
            PRIMARY KEY (tag_id, font_id) ON CONFLICT IGNORE
            
          );

        CREATE TABLE sets
          (
            id            INTEGER PRIMARY KEY,
            name      VARCHAR(255) UNIQUE ON CONFLICT IGNORE
          );

        CREATE TABLE sets_fonts
          (
            set_id INTEGER,
            font_id INTEGER,
            PRIMARY KEY (set_id, font_id) ON CONFLICT IGNORE
          );
        }</span>)
      <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">true</span>
    <span class="ruby-keyword kw">else</span>
      <span class="ruby-keyword kw">return</span> <span class="ruby-keyword kw">false</span>
    <span class="ruby-keyword kw">end</span>
  <span class="ruby-keyword kw">end</span></pre>
</body>
</html>